# Interface methods for submodule: ThreadPool
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ObjectProxy as _ObjectProxy


# Interface methods for class: ThreadPool
class ThreadPoolProxy(_ObjectProxy):
	def GetNameOfClass(self):
		""""""
		...

	@staticmethod
	def New():
		""""""
		...

	@staticmethod
	def GetInstance():
		""""""
		...

	def AddThreads(self, count: int) -> None:
		""""""
		...

	def GetMaximumNumberOfThreads(self) -> int:
		""""""
		...

	def GetNumberOfCurrentlyIdleThreads(self) -> int:
		""""""
		...

	@staticmethod
	def GetDoNotWaitForThreads() -> bool:
		""""""
		...

	@staticmethod
	def SetDoNotWaitForThreads(doNotWaitForThreads: bool) -> None:
		""""""
		...

